System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 To be added System.Object This class is used to customized the behavior of the class through stylesheet parameters and extension objects. This type is used in the various overloads of the Transform method of the class that accept an XsltArgumentList.
- Constructor
  Creates a new XsltArgumentList with no extension objects or stylesheet parameters set.
  None.
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` The URI of the namespace to associate with the extension object. The extension object. Associates an extension object with a namespace to provide added functionality to XPath expressions in the .

  The static and instance methods of are made available to XSLT stylesheets via XPath function calls.

  The arguments and return type of extension methods can be the basic numeric types, strings, objects, and objects. Using XPathNavigators and XPathNodeIterators allows the extension method to receive and pass back node sets.

  Only one extension object may be associated with any namespace, and the http://www.w3.org/1999/XSL/Transform namespace may not be used.

  The following example makes a string length function available to an XSLT stylesheet.

  `class MyExtObject { public int GetStringLength(string s) { return s.Length; } } (...elsewhere...) XsltArgumentList args = new XsltArgumentList(); args.AddExtensionObject("http://www.mydomain.com/mynamespace", new MyExtObject()); XmlReader result = stylesheet.Transform(doc, args);`

  The stylesheet accesses this function by declaring the namespace and then using XPath:

  `<template match="mynode" xmlns:ext="http://www.mydomain.com/mynamespace"> <xsl:value-of select="ext:GetStringLength('MyString')"/> </template>` 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` The name of the variable. The namespace URI of the variable, or the empty string for variables not declared in a namespace. The value to assign to the parameter. Assigns a value to a stylesheet parameter.

  Stylesheet parameters refer to top-level xsl:param nodes outside of templates. For instance:

  `<xsl:stylesheet xmlns:mynamespace="http://www.mydomain.com"> <xsl:param name="arg1" select="'defaultValue'" /> <xsl:param name="mynamespace:nsarg1" /> </xsl:stylesheet>`

  To assign a value to the first parameter, use:

  `args.AddParam("arg1", "", "newvalue");`

  To assign a value to the second parameter, use:

  `args.AddParam("nsarg1", "http://www.mydomain.com", "newvalue");` 1.0.5000.0 2.0.0.0
- Method
  System.Void Clears the extension objects and parameters associated with this XsltArgumentList. None. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` The namespace URI for which to retrieve the extension object. Retreives the extension object associated with the namespace URI. The object associated with the namespace, or if no extension object was associated with the namespace. None. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` `` The name of the parameter. The namespace URI of the variable, or the empty string for variables not declared in a namespace. Gets the value assigned to a stylesheet parameter. The value associated with the parameter, or if no value is associated with the parameter. None. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` The namespace URI for which to remove the extension object. Removes the extension object associated with a namespace. The object formerly associated with the namespace, or if no extension object was associated with the namespace. None. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` `` The name of the variable. The namespace URI of the variable, or the empty string for variables not declared in a namespace. Removes an assigned value to a stylesheet parameter. The value formerly associated with the parameter, or if no value was associated with the parameter. None. 1.0.5000.0 2.0.0.0
- Event
  System.Xml.Xsl.XsltMessageEncounteredEventHandler To be added. To be added. 2.0.0.0